Crypto++ 8.6 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
ConstByteArrayParameter Class Reference

Used to pass byte array input as part of a NameValuePairs object. More...

## Public Member Functions
| ConstByteArrayParameter (const char *data=NULL, bool deepCopy=false)
| Construct a ConstByteArrayParameter. More...
| ConstByteArrayParameter (const byte *data, size_t size, bool deepCopy=false)
| Construct a ConstByteArrayParameter. More...
template<class T >
| ConstByteArrayParameter (const T &string, bool deepCopy=false)
| Construct a ConstByteArrayParameter. More...
void | Assign (const byte *data, size_t size, bool deepCopy)
| Assign contents from a memory buffer. More...
const byte * | begin () const
| Pointer to the first byte in the memory block.
const byte * | end () const
| Pointer beyond the last byte in the memory block.
size_t | size () const
| Length of the memory block.

## Detailed Description

Used to pass byte array input as part of a NameValuePairs object.

Definition at line 24 of file algparam.h.

## Constructor & Destructor Documentation

## ◆ ConstByteArrayParameter() [1/3]

ConstByteArrayParameter::ConstByteArrayParameter | ( | const char * | data = `NULL`,
|  | bool | deepCopy = `false`
| ) |  |
| inline

Construct a ConstByteArrayParameter.

Parameters

  data | a C-String
  deepCopy | flag indicating whether the data should be copied

The deepCopy option is used when the NameValuePairs object can't keep a copy of the data available

Definition at line 32 of file algparam.h.

## ◆ ConstByteArrayParameter() [2/3]

ConstByteArrayParameter::ConstByteArrayParameter | ( | const byte * | data,
|  | size_t | size,
|  | bool | deepCopy = `false`
| ) |  |
| inline

Construct a ConstByteArrayParameter.

Parameters

  data | a memory buffer
  size | the length of the memory buffer
  deepCopy | flag indicating whether the data should be copied

The deepCopy option is used when the NameValuePairs object can't keep a copy of the data available

Definition at line 44 of file algparam.h.

## ◆ ConstByteArrayParameter() [3/3]

template<class T >

ConstByteArrayParameter::ConstByteArrayParameter | ( | const T & | string,
|  | bool | deepCopy = `false`
| ) |  |
| inline

Construct a ConstByteArrayParameter.

Template Parameters

  T | a std::basic_string<char> or std::vector<byte> class

Parameters

  string | a std::basic_string<char> or std::vector<byte> object
  deepCopy | flag indicating whether the data should be copied

The deepCopy option is used when the NameValuePairs object can't keep a copy of the data available

Definition at line 56 of file algparam.h.

## Member Function Documentation

## ◆ Assign()

void ConstByteArrayParameter::Assign | ( | const byte * | data,
|  | size_t | size,
|  | bool | deepCopy
| ) |  |
| inline

Assign contents from a memory buffer.

Parameters

  data | a memory buffer
  size | the length of the memory buffer
  deepCopy | flag indicating whether the data should be copied

The deepCopy option is used when the NameValuePairs object can't keep a copy of the data available

Definition at line 69 of file algparam.h.

The documentation for this class was generated from the following file:

- algparam.h